# Uncomment the next line to define a global platform for your project

use_frameworks!
platform :ios, '10.0'

#source 'https://github.com/CocoaPods/Specs.git'
source 'https://git.yishihui.com/iOS/BFSpecs.git'
source 'https://mirrors.tuna.tsinghua.edu.cn/git/CocoaPods/Specs.git'

target 'Introduce' do
  #富文本库
  pod 'WoodPeckeriOS', :configurations => ['Debug']
  pod 'TYAttributedLabel','2.6.9'
  pod 'UMCommon',                 '7.3.5'
  pod 'UMDevice',                 '2.1.0'
  pod 'UMCSecurityPlugins',       '1.0.6'
  pod 'UMAPM',                    '1.5.5'
  pod 'Bugly',                    '2.5.91'
 
## Pods-for-AppStore
#  pod 'BFCommonKit',           '1.5.9'
#  pod 'BFNetRequestKit',       '1.0.3'
#  pod 'BFUIKit',               '0.1.5'
#  pod 'BFMaterialKit',         '0.2.7'
#  pod 'BFLogger',              '0.1.0'
#  pod 'BFMediaKit',            '0.0.2'
#  pod 'BFRecordScreenKit',     '1.0.0'

## Pods-for-Archive(Jenkins)
  pod 'BFCommonKit',           :git => 'https://git.yishihui.com/iOS/BFCommonKit.git'
  pod 'BFNetRequestKit',       :git => 'https://git.yishihui.com/iOS/BFNetRequestKit.git'
  pod 'BFUIKit',               :git => 'https://git.yishihui.com/iOS/BFUIKit.git'
  pod 'BFMaterialKit',         :git => 'https://git.yishihui.com/iOS/BFMaterialKit.git'
  pod 'BFLogger',              :git => 'https://git.yishihui.com/iOS/BFLogger.git'
  pod 'BFMediaKit',            :git => 'https://git.yishihui.com/iOS/BFMediaKit.git'
  pod 'BFRecordScreenKit',     :git => 'https://git.yishihui.com/iOS/BFRecordScreenKit.git'
  pod 'BFAnalyzeKit',          :git => 'https://git.yishihui.com/iOS/BFAnalyzeKit.git'
  pod "BFFFmpeglib",           :git => 'https://git.yishihui.com/iOS/BFFFmpeglib.git'
  


#使用指定tag
#  pod "BFCommonKit",       :git => 'https://git.yishihui.com/iOS/BFCommonKit.git',       :tag => '1.5.9'
#  pod "BFNetRequestKit",   :git => 'https://git.yishihui.com/iOS/BFNetRequestKit.git',   :tag => '1.0.3'
#  pod "BFUIKit",           :git => 'https://git.yishihui.com/iOS/BFUIKit.git',           :tag => '0.1.5'
#  pod "BFMaterialKit",     :git => 'https://git.yishihui.com/iOS/BFMaterialKit.git',     :tag => '0.2.7'
#  pod "BFLogger",          :git => 'https://git.yishihui.com/iOS/BFLogger.git',          :tag => '0.1.0'
#  pod "BFMediaKit",        :git => 'https://git.yishihui.com/iOS/BFMediaKit.git',        :tag => '0.0.2'
#  pod "BFRecordScreenKit", :git => 'https://git.yishihui.com/iOS/BFRecordScreenKit.git', :tag => '1.0.0'
#  pod "BFAnalyzeKit",      :git => 'https://git.yishihui.com/iOS/BFAnalyzeKit.git',      :tag => '0.0.1'

## ak:Pods-for-testing
## zq:Pods-for-testing
#  pod 'BFCommonKit',           :path => '../BFCommonKit/'
#  pod 'BFNetRequestKit',       :path => '../BFNetRequestKit/'
#  pod 'BFUIKit',               :path => '../BFUIKit/'
#  pod 'BFMaterialKit',         :path => '../BFMaterialKit/'
#  pod 'BFLogger',              :path => '../BFLogger/'
#  pod 'BFMediaKit',            :path => '../BFMediaKit/'
#  pod 'BFRecordScreenKit',     :path => '../BFRecordScreenKit/'
#  pod 'BFAnalyzeKit',          :path => '../BFAnalyzeKit/'
#  pod 'BFFFmpeglib',           :path => '../BFFFmpeglib/'
#  pod 'MLeaksFinder'
#  pod 'PLCrashReporter'


## ww:Pods-for-testing
#  pod 'BFCommonKit',           :path => '../../BFCommonKit/Trunk'
#  pod 'BFNetRequestKit',       :path => '../../BFNetRequestKit/Trunk'
#  pod 'BFUIKit',               :path => '../../BFUIKit/Trunk'
#  pod 'BFMaterialKit',         :path => '../../BFMaterialKit/Trunk'
#  pod 'BFLogger',              :path => '../../BFLogger/Trunk'
#  pod 'BFMediaKit',            :path => '../../BFMediaKit/Trunk'
#  pod 'BFRecordScreenKit',     :path => '../../BFRecordScreenKit/Trunk'
#  pod 'BFAnalyzeKit',          :path => '../../BFAnalyzeKit/Trunk'


  
  post_install do |installer|
    
    remove_swift_ui("./Pods/Kingfisher/Sources/General/KFOptionsSetter.swift")
    remove_swift_ui("./Pods/Kingfisher/Sources/SwiftUI/KFImage.swift")
    remove_swift_ui("./Pods/Kingfisher/Sources/SwiftUI/ImageBinder.swift")
    remove_swift_ui("./Pods/Kingfisher/Sources/SwiftUI/KFImageOptions.swift")
    remove_swift_ui_realm("./Pods/RealmSwift/RealmSwift/SwiftUI.swift")
#    remove_RealmSwift_swift_ui
    installer.pods_project.targets.each do |target|
      target.build_configurations.each do |config|
        config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '10.0'
      end
    end
  end
  
  def remove_swift_ui(code_file)
    code_text = File.read(code_file)
    code_text.gsub!(/#if canImport\(SwiftUI\) && canImport\(Combine\)(\n)/,"#if canImport(SwiftUI) && canImport(Combine) && (arch(arm64) || arch(x86_64))\n")
    system("rm -rf " + code_file)
    aFile = File.new(code_file, 'w+')
    aFile.syswrite(code_text)
    aFile.close()
  end

  def remove_swift_ui_realm (code_file)
    code_text = File.read(code_file)
    code_text.gsub!(/#if canImport\(SwiftUI\) && canImport\(Combine\) && swif/,'#if canImport(SwiftUI) && canImport(Combine) && (arch(arm64) || arch(x86_64)) && swif')
    system("rm -rf " + code_file)
    aFile = File.new(code_file, 'w+')
    aFile.syswrite(code_text)
    aFile.close()
  end

end
